View Issue Details

IDProjectCategoryView StatusLast Update
0001545SymmetricDSImprovementpublic2014-02-05 10:08
ReportermhanesAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.15 
Target Version3.5.16Fixed in Version3.5.16 
Summary0001545: Unlock should use symmetricds server time, not database time, for consistency.
DescriptionIf the database time and server time are mismatched, you can run into the issue where, after a restart, the jobs (route, for example), might not run for quite some time. This can happen when the database time is in the future relative to the server's time. This happens only at startup, and only when there's existing entries in sym_lock wiht future dates shown.

The "fix" is to change the unlock update query to use the server time, not current timestamp from the database.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master e1d23dcf

2014-01-23 19:11:15

chenson

Details Diff
0001545: Unlock should use symmetricds server time, not database time, for consistency.
0001545
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ClusterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ClusterServiceSqlMap.java Diff File

Issue History

Date Modified Username Field Change
2014-01-23 15:26 mhanes New Issue
2014-01-23 15:26 mhanes Status new => assigned
2014-01-23 15:26 mhanes Assigned To => chenson
2014-01-23 19:11 chenson Status assigned => resolved
2014-01-23 19:11 chenson Fixed in Version => 3.5.16
2014-01-23 19:11 chenson Resolution open => fixed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7888
2014-02-05 10:08 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master e1d23dcf